Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Typedefs | Enumerations | Functions
exceptn.h File Reference
`#include <botan/types.h>`
`#include <exception>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::Algorithm_Not_Found
class | Botan::Decoding_Error
class | Botan::Encoding_Error
class | Botan::Exception
class | Botan::Internal_Error
class | Botan::Invalid_Algorithm_Name
class | Botan::Invalid_Argument
class | Botan::Invalid_Authentication_Tag
class | Botan::Invalid_IV_Length
class | Botan::Invalid_Key_Length
class | Botan::Invalid_OID
class | Botan::Invalid_State
class | Botan::Key_Not_Set
class | Botan::Lookup_Error
class | Botan::No_Provider_Found
class | Botan::Not_Implemented
class | Botan::Policy_Violation
class | Botan::PRNG_Unseeded
class | Botan::Provider_Not_Found
class | Botan::Self_Test_Failure
class | Botan::Stream_IO_Error
class | Botan::System_Error
class | Botan::Unsupported_Argument

## Namespaces
namespace | Botan

## Typedefs
typedef Invalid_Authentication_Tag | Botan::Integrity_Failure

## Enumerations
enum class | Botan::ErrorType { Botan::Unknown = 1 , Botan::SystemError , Botan::NotImplemented , Botan::OutOfMemory , Botan::InternalError , Botan::IoError , Botan::InvalidObjectState = 100 , Botan::KeyNotSet , Botan::InvalidArgument , Botan::InvalidKeyLength , Botan::InvalidNonceLength , Botan::LookupError , Botan::EncodingFailure , Botan::DecodingFailure , Botan::TLSError , Botan::HttpError , Botan::InvalidTag , Botan::RoughtimeError , Botan::OpenSSLError = 200 , Botan::CommonCryptoError , Botan::Pkcs11Error , Botan::TPMError , Botan::DatabaseError , Botan::ZlibError = 300 , Botan::Bzip2Error , Botan::LzmaError }

## Functions
template<typename E , typename... Args>
void | Botan::do_throw_error (const char *file, int line, const char *func, Args... args)
std::string | Botan::to_string (ErrorType type)
| Convert an ErrorType to string. More...